Top affiliation
Partages

Comment réussir la migration de joomla 1.5 vers 2.5

Partages

 Une solution pour résoudre un problème de mise à jour de joomla

 

J’avais 2 des mes sites fonctionnant avec le CMS joomla que je n’arrivais pas à upgrader de la version 1.5.X vers la version stable 2.5.X

J’avais testé et retesté, y compris en local et rien à faire.

Voici ce qui m’a permis de réussir la migration de joomla 1.5 vers joomla 2.5 sans aucun problème :

 migration-joomla-1-5

Crédit photo [ddpavumba] / FreeDigitalPhotos.net »

Mettre à jour son site joomla 1.5 vers la dernière version 1.5.26

Je ne l’avais pas fait au départ et c’est un paramètre qui a pu jouer. Après avoir lu pas mal de topic sur divers forum, il s’avère qu’il est nécessaire d’avoir la dernière version 1.5 pour que le composant jupgrade fonctionne correctement.

J’ai testé avec une version 1.5.24 et jupgrade se bloquait au démarrage. La barre de progression restait figée.

Pour cela je vous conseille la mise à jour 1.5.X vers 1.5.26

Elle consiste à un remplacement de fichiers sur votre serveur ftp ou local. Une fois la mise à jour réalisée, dans l’administration de votre site joomla vous devriez voir la nouvelle version 1.5.26

Il semblerait que cette version soit indispensable pour faire fonctionner le plugin mootools

 

Utiliser un navigateur différent d’internet explorer

Quelque chose que j’ai également lu, serait la possibilité d’un dysfonctionnement d’internet explorer lors de l’utilisation du composant jupgrade dans joomla. J’ai donc installé google chrome lors de la migration de mon site de 1.4.26 vers 2.5.9

 

Utiliser la dernière version du composant jupgrade

Pour l’upgrade de mon site joomla en version 2.5.X j’ai utilisé le composant jupgrade permettant de passer de 1.5.26 vers 2.5.9. Il est téléchargeable sur joomla.fr

Lancez le composant jupgrade qui va vous recréer une copie de votre ancien site (avec son contenu) dans une nouvelle version 2.5.9

Vous aurez ensuite un peu de travail pour remettre en place les composants et plugin et probablement changer le template pour un compatible joomla 2.5

Une fois votre site terminé il faudra remplacer l’ancien par le nouveau.

A propos de l'auteur judicael

Multi-Blogueur depuis 2005

Laissez un commentaire

12 Commentaires
Ajoutez votre réponse